# Gridlock - a collection of grid-based strategy games
# Copyright (c) 2009 Brian Nenninger (brian@dozingcatsoftware.com)
# Gridlock comes with ABSOLUTELY NO WARRANTY, and is released under version 3 of the GNU GPL.

"""
This is a setup.py script generated by py2applet

Usage:
    python setup_osx.py py2app
"""
# Requires setuptools and py2app (see http://svn.pythonmac.org/py2app/py2app/trunk/doc/index.html for installation)
# py2app may fail trying to copy "version.plist" file from /Library/Frameworks/Python.framework/Versions/2.6/Resources
# If so, copy from 2.5 resources or use this (incorrect version number doesn't seem to matter):
#
# To build completely standalone application using current Python: 
#     python setup_osx.py py2app
# This will include a python interpreter and wxPython/numpy/PyOpenGL, so it will be very large.
# 10.5 includes Python 2.5, wxPython and numpy, so to build a smaller app (~50MB less) that uses the system libraries:
#     /usr/bin/python setup_osx.py py2app --semi-standalone --excludes 'wx,numpy' --site-packages
# The Leopard app may get an error importing OpenGL modules. To fix, open the app bundle and locate 
# Contents/Resources/lib/python2.5/OpenGL. Create a "site-packages" directory in Contents/Resources/lib/python2.5/
# and move the OpenGL directory into it. (python2.5 will have a "site-packages.zip" file and "site-packages" directory).
# The mac_build.py and leopard_build.py scripts automate these procedures.
"""
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>BuildVersion</key>
	<string>1</string>
	<key>CFBundleShortVersionString</key>
	<string>2.5alpha0</string>
	<key>CFBundleVersion</key>
	<string>2.5alpha0</string>
	<key>ProjectName</key>
	<string>Python</string>
	<key>ReleaseStatus</key>
	<string>alfa</string>
	<key>SourceVersion</key>
	<string>2.4a0</string>
</dict>
</plist>
"""
# If build still fails, a newer version of macholib may be required, install with 
# sudo easy_install macholib==dev

from setuptools import setup
import PGAppInfo # for name/version strings

APP = ['main_osx.py']
DATA_FILES = []
OPTIONS = {'argv_emulation': True, 
           'resources': ['xrc', 'help'],
           'iconfile': 'resources/Gridlock.icns',
           'plist': {'CFBundleName': PGAppInfo.name, 
                     'CFBundleShortVersionString': PGAppInfo.version,
                     'CFBundleGetInfoString': PGAppInfo.name + ' ' + PGAppInfo.version,
                     'CFBundleExecutable': PGAppInfo.name,
                     'CFBundleIdentifier': PGAppInfo.bundle_id,
                     }, 
           }

setup(
    app=APP,
    data_files=DATA_FILES,
    options={'py2app': OPTIONS},
    setup_requires=['py2app'],
)
